%% Load the casino output and save the data
clear all, close all;
dataPath='/Volumes/GoogleDrive/My Drive/EBIC/beamCondition/matlab/dataAnalysis/sm2/casinoFile/data';
dirInfo = dir(dataPath);

auTh = 70;
htlTh = 180;
pskTh = 370;
etlTh = 110; 
FTO = 680;
for fileIndex=1:length(dirInfo)
    filename = dirInfo(fileIndex).name;
    dashIndex = findstr(filename,'_');
    dotIndex = findstr(filename,'.');
    if length(filename) > 15 & ~isempty(dashIndex)
        ext = filename(dotIndex:end);
        k_index = findstr(filename,'k');
        eV = ['V' filename(1:k_index(1)-1) 'keV'];
%         simEs=['es' filename(dashIndex+1:dotIndex-3)];
        if strcmp(ext,'.dat')
            engProfile = processCasinoV2output([dataPath '/' filename]);
            pskEngProfileXY = sumPlanes(engProfile.Z.inc,...
                'XY',auTh+htlTh,auTh+htlTh+pskTh,engProfile);
            pskEngProfileXZ = sumPlanes(engProfile.Y.inc,...
                'XZ',0,range(engProfile.Y.range),engProfile);
            casinoData.(eV)=engProfile;
            casinoData.(eV).XYproj = pskEngProfileXY;
            casinoData.(eV).XZproj = pskEngProfileXZ;
            casinoData.(eV).AuTh = auTh;
            casinoData.(eV).HTLTh = htlTh;
            casinoData.(eV).pskTH = pskTh;
            fprintf('Finish processing %s \n',filename);
        end
    end
end
