function sumedPlanes = sumPlanes(step,planes,thicknessSt,thicknessEd,metaData)
%SUMPLANES add and return the projected planes in a particular direction
%        step -- increment of each planes
%      planes -- specify the planes that you want to sum; 'XZ' or 'XY'
% thicknessSt -- the layer thickness of where it starts. Assuming the
%    initial point is the sample surface
% thicknessEd -- the layer thickness of where it ends. Assuming the
%    initial point is the sample surface
if strcmp(planes,'XY')
    planeName = 'XY';
    zrange = metaData.Z.numDivision;
    planeVal=[0:1:zrange-1];
    stIndex = find(planeVal==thicknessSt/step);
    edIndex = find(planeVal==(thicknessEd-step)/step);
elseif strcmp(planes,'XZ')
    planeName = 'XZ';
    yrange = metaData.Y.numDivision;
    planeVal=[0:1:yrange-1];
    stIndex = find(planeVal==thicknessSt/step);
    edIndex = find(planeVal==(thicknessEd-step)/step);
end

oldplane = 0;
for planeIndex=stIndex:edIndex
    dataPlaneName = [planeName int2str(planeVal(planeIndex))];
    currentPlane = metaData.data.(dataPlaneName).map;
    oldplane = oldplane+currentPlane;
end
sumedPlanes = oldplane;
end

